<dialog id="dialog"
	title="Nieuw codefragment maken"
	buttons="accept, cancel" >
	<script>
			function autoFillCode()
			{
				var doc = fl.getDocumentDOM();
				if(doc != null)
				{
					fl.xmlui.set("Code", fl.actionsPanel.getSelectedText(true));
				}
				else
				{
					alert("Selecteer een code in een FLA-bestand.");
				}
			}
	 </script>

	<grid>
		<columns>
			<column />
			<column />
		</columns>
		<rows>
			<row>
				<label value="Titel: "
					align="right" control="title_ipt"/>
				<textbox id="Title" required="true"
					width="500"
					requiredname="Titel"/>
			</row>
			<row>
				<label value="Beschrijving: "
					align="right" control="tooltip_ipt"/>
				<textbox id="Tooltip" required="true"
					width="500"
					requiredname="Beschrijving"/>
			</row>
			<row>
				<label value="" />
				<hbox>
					<label value="Geselecteerde code in het deelvenster Handelingen gebruiken?"/>
					<button id="autoFill_btn"
						label="Automatisch vullen"
						oncommand="autoFillCode();"/>
				</hbox>
			</row>
			<row>
				<label value=" Code: "
					align="right" control="code_ipt"/>
				<textbox id="Code" multiline="true" required="true"
					width="500"
					rows="6"
					requiredname="Code"/>
			</row>
			<row>
				<label value="" align="right" control="requiresSymbol_ch" />
				<checkbox id="requiresSymbol_ch" wordwrap="true"
					label="Automatisch instance_name_here vervangen bij toepassen van een codefragment."
					checked="false"/>
			</row>
		</rows>
	</grid>
</dialog>
